# Generated by Django 2.2.6 on 2019-10-30 09:39

from django.db import migrations, models
import django.db.models.deletion

def initial_status(apps, schema_editor):
    from management import models
    statuses = ['', 'Open', 'In-Progress', 'Review', 'Done']
    for val, x in enumerate(range(4), 1):
        models.Status.objects.create(
            name=statuses[val],
            order=val
            )


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Status',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=15, unique=True)),
                ('order', models.IntegerField(unique=True)),
            ],
            options={
                'verbose_name_plural': 'Status',
                'ordering': ('order',),
            },
        ),
        migrations.CreateModel(
            name='Tasks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=75)),
                ('description', models.TextField()),
                ('estimate', models.DecimalField(decimal_places=2, default=0, max_digits=10, verbose_name='Estimate time in Hours')),
                ('spend_time', models.DecimalField(decimal_places=2, max_digits=10, verbose_name='Spent time in Hours')),
                ('asigne', models.CharField(blank=True, max_length=10, null=True)),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('order_date_chaned', models.DateTimeField(blank=True, null=True)),
                ('status', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='management.Status')),
            ],
            options={
                'verbose_name_plural': 'Task',
                'ordering': ('date_created',),
            },
        ),
        migrations.RunPython(initial_status),
    ]
